import * as config from './config';
import * as locking from './annotationLocking';
import * as selection from './annotationSelection';
import * as annotationState from './annotationState';
import * as annotationStateHelpers from './helpers/state';
import * as visibility from './annotationVisibility';
import FrameOfReferenceSpecificAnnotationManager from './FrameOfReferenceSpecificAnnotationManager';
import AnnotationGroup from './AnnotationGroup';
import { resetAnnotationManager } from './resetAnnotationManager';
declare const state: {
    resetAnnotationManager: typeof resetAnnotationManager;
    triggerAnnotationAddedForElement: typeof annotationStateHelpers.triggerAnnotationAddedForElement;
    triggerAnnotationAddedForFOR: typeof annotationStateHelpers.triggerAnnotationAddedForFOR;
    triggerAnnotationRemoved: typeof annotationStateHelpers.triggerAnnotationRemoved;
    triggerAnnotationModified: typeof annotationStateHelpers.triggerAnnotationModified;
    triggerAnnotationCompleted: typeof annotationStateHelpers.triggerAnnotationCompleted;
    triggerContourAnnotationCompleted: typeof annotationStateHelpers.triggerContourAnnotationCompleted;
    getAllAnnotations: typeof annotationState.getAllAnnotations;
    getAnnotations: typeof annotationState.getAnnotations;
    getParentAnnotation: typeof annotationState.getParentAnnotation;
    getChildAnnotations: typeof annotationState.getChildAnnotations;
    clearParentAnnotation: typeof annotationState.clearParentAnnotation;
    addChildAnnotation: typeof annotationState.addChildAnnotation;
    getNumberOfAnnotations: typeof annotationState.getNumberOfAnnotations;
    addAnnotation: typeof annotationState.addAnnotation;
    removeAnnotation: typeof annotationState.removeAnnotation;
    removeAnnotations: typeof annotationState.removeAnnotations;
    removeAllAnnotations: typeof annotationState.removeAllAnnotations;
    setAnnotationManager: typeof annotationState.setAnnotationManager;
    getAnnotationManager: typeof annotationState.getAnnotationManager;
    invalidateAnnotation: typeof annotationState.invalidateAnnotation;
    getAnnotation: typeof annotationState.getAnnotation;
};
export { config, locking, selection, state, visibility, FrameOfReferenceSpecificAnnotationManager, AnnotationGroup, };
