type Modes = '' | 'Active' | 'Passive' | 'Enabled';
type States = '' | 'Highlighted' | 'Selected' | 'Locked' | 'AutoGenerated';
type Properties = 'color' | 'colorAutoGenerated' | 'lineWidth' | 'lineWidthAutoGenerated' | 'lineDash' | 'textBoxFontFamily' | 'textBoxFontSize' | 'textBoxColor' | 'textBoxBackground' | 'textBoxLinkLineWidth' | 'textBoxLinkLineDash' | 'locked' | 'fillColor' | 'fillOpacity' | 'textbox' | 'shadow' | 'visibility' | 'markerSize' | 'angleArcLineDash';
export type AnnotationStyle = {
    [key in `${Properties}${States}${Modes}`]?: string | number | boolean | Record<string, unknown>;
};
export type ToolStyleConfig = {
    [toolName: string]: AnnotationStyle;
} & {
    global?: AnnotationStyle;
};
export type StyleConfig = {
    annotations?: {
        [annotationUID: string]: AnnotationStyle;
    };
    viewports?: {
        [viewportId: string]: ToolStyleConfig;
    };
    toolGroups?: {
        [toolGroupId: string]: ToolStyleConfig;
    };
    default: ToolStyleConfig;
};
export type StyleSpecifier = {
    viewportId?: string;
    toolGroupId?: string;
    toolName?: string;
    annotationUID?: string;
};
export {};
