import type { Types } from '@cornerstonejs/core';
type Annotation = {
    annotationUID?: string;
    parentAnnotationUID?: string;
    interpolationUID?: string;
    childAnnotationUIDs?: string[];
    highlighted?: boolean;
    isLocked?: boolean;
    isVisible?: boolean;
    invalidated?: boolean;
    isSelected?: boolean;
    autoGenerated?: boolean;
    metadata: Types.ViewReference & {
        toolName: string;
        cameraPosition?: Types.Point3;
        viewUp?: Types.Point3;
    };
    data: {
        handles?: Handles;
        [key: string]: unknown;
        cachedStats?: Record<string, unknown>;
        label?: string;
        contour?: Contour;
    };
};
type Contour = {
    polyline?: Types.Point3[];
    pointsManager?: Types.IPointsManager<Types.Point3>;
    closed?: boolean;
};
type Annotations = Array<Annotation>;
type GroupSpecificAnnotations = {
    [toolName: string]: Annotations;
};
type AnnotationState = {
    [key: string]: GroupSpecificAnnotations;
};
type Handles = {
    points?: Types.Point3[];
    activeHandleIndex?: number | null;
    textBox?: {
        hasMoved?: boolean;
        worldPosition?: Types.Point3;
        worldBoundingBox?: {
            topLeft: Types.Point3;
            topRight: Types.Point3;
            bottomLeft: Types.Point3;
            bottomRight: Types.Point3;
        };
    };
    [key: string]: unknown;
};
export type { Annotation, Annotations, GroupSpecificAnnotations, AnnotationState, Handles, };
