import type { Types } from '@cornerstonejs/core';
import type { LabelmapSegmentationDataStack, LabelmapSegmentationDataVolume } from './LabelmapTypes';
import type vtkImageData from '@kitware/vtk.js/Common/DataModel/ImageData';
import type { LabelmapMemo } from '../utilities/segmentation/createLabelmapMemo';
type LabelmapToolOperationData = {
    segmentationId: string;
    segmentIndex: number;
    previewColor?: [number, number, number, number];
    previewSegmentIndex?: number;
    segmentsLocked: number[];
    viewPlaneNormal: number[];
    viewUp: number[];
    activeStrategy: string;
    points: Types.Point3[];
    voxelManager: any;
    override: {
        voxelManager: Types.IVoxelManager<number>;
        imageData: vtkImageData;
    };
    toolGroupId: string;
    createMemo: (segmentId: any, segmentVoxels: any, previewVoxels?: any, previewMemo?: any) => LabelmapMemo;
};
type LabelmapToolOperationDataStack = LabelmapToolOperationData & LabelmapSegmentationDataStack;
type LabelmapToolOperationDataVolume = LabelmapToolOperationData & LabelmapSegmentationDataVolume;
type LabelmapToolOperationDataAny = LabelmapToolOperationDataVolume | LabelmapToolOperationDataStack;
export type { LabelmapToolOperationData, LabelmapToolOperationDataAny, LabelmapToolOperationDataStack, LabelmapToolOperationDataVolume, };
