import type { NamedStatistics } from '../../../types';
import { Calculator, InstanceCalculator } from './Calculator';
import type { Types } from '@cornerstonejs/core';
export declare class BasicStatsCalculator extends Calculator {
    private static state;
    static statsInit(options: {
        storePointData: boolean;
    }): void;
    static statsCallback: ({ value: newValue, pointLPS, pointIJK, }: {
        value: number | Types.RGB;
        pointLPS?: Types.Point3 | null;
        pointIJK?: Types.Point3 | null;
    }) => void;
    static getStatistics: (options?: {
        unit: string;
    }) => NamedStatistics;
}
export declare class InstanceBasicStatsCalculator extends InstanceCalculator {
    private state;
    constructor(options: {
        storePointData: boolean;
    });
    statsInit(options: {
        storePointData: boolean;
    }): void;
    statsCallback(data: {
        value: number | Types.RGB;
        pointLPS?: Types.Point3 | null;
        pointIJK?: Types.Point3 | null;
    }): void;
    getStatistics(options?: {
        unit: string;
        spacing?: number[] | number;
    }): NamedStatistics;
}
